## execline 2.5.0.1

=== debian/changelog ===
execline (2.5.0.1-3) unstable; urgency=medium

  * Add dep8 autopkgtest script

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 08 Feb 2019 22:36:23 +0800

execline (2.5.0.1-2) unstable; urgency=medium

  * Move skalibs-dev to Build-Depends-Arch.
  * Fix cross build, thanks Helmut Grohne. (Closes: #917834)

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 08 Feb 2019 00:22:02 +0800

execline (2.5.0.1-1) unstable; urgency=medium

  * Initial release. (Closes: #906250)

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 05 Sep 2018 11:15:01 +0800
