=== debian/control ===
Source: execline
Section: admin
Priority: optional
Maintainer: Shengjing Zhu <zhsj@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper (>= 11),
Build-Depends-Arch:
 skalibs-dev (>= 2.7.0.0),
Standards-Version: 4.2.1
Homepage: https://skarnet.org/software/execline/
Vcs-Git: https://salsa.debian.org/zhsj/execline.git
Vcs-Browser: https://salsa.debian.org/zhsj/execline

Package: execline
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: small and non-interactive scripting language
 Execline is a (non-interactive) scripting language, like sh; but its
 syntax is quite different from a traditional shell syntax. The execlineb
 program is meant to be used as an interpreter for a text file; the other
 commands are essentially useful inside an execlineb script.
 .
 Execline is as powerful as a shell: it features conditional loops,
 getopt-style option handling, filename globbing, and more. Meanwhile, its
 syntax is far more logic and predictable than the shell's syntax, and has
 no security issues.
 .
 Execline binaries are installed in /usr/lib/execline/bin, please add it to
 PATH before using them.

Package: execline-doc
Architecture: all
Section: doc
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: small and non-interactive scripting language (documentation)
 Execline is a (non-interactive) scripting language, like sh; but its
 syntax is quite different from a traditional shell syntax. The execlineb
 program is meant to be used as an interpreter for a text file; the other
 commands are essentially useful inside an execlineb script.
 .
 Execline is as powerful as a shell: it features conditional loops,
 getopt-style option handling, filename globbing, and more. Meanwhile, its
 syntax is far more logic and predictable than the shell's syntax, and has
 no security issues.
 .
 This package contains documentation files.

Package: libexecline-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libexecline2.5 (= ${binary:Version}),
 ${misc:Depends},
Description: small and non-interactive scripting language (development files)
 Execline is a (non-interactive) scripting language, like sh; but its
 syntax is quite different from a traditional shell syntax. The execlineb
 program is meant to be used as an interpreter for a text file; the other
 commands are essentially useful inside an execlineb script.
 .
 Execline is as powerful as a shell: it features conditional loops,
 getopt-style option handling, filename globbing, and more. Meanwhile, its
 syntax is far more logic and predictable than the shell's syntax, and has
 no security issues.
 .
 This package contains static and header files.

Package: libexecline2.5
Architecture: any
Section: libs
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: small and non-interactive scripting language (shared library)
 Execline is a (non-interactive) scripting language, like sh; but its
 syntax is quite different from a traditional shell syntax. The execlineb
 program is meant to be used as an interpreter for a text file; the other
 commands are essentially useful inside an execlineb script.
 .
 Execline is as powerful as a shell: it features conditional loops,
 getopt-style option handling, filename globbing, and more. Meanwhile, its
 syntax is far more logic and predictable than the shell's syntax, and has
 no security issues.
 .
 This package contains shared libraries.
