## execline 2.5.1.0

=== debian/changelog ===
execline (2.5.1.0-1build1) eoan; urgency=medium

  * No-change rebuild against libskarnet2.8

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 12 Sep 2019 06:43:23 +0000

execline (2.5.1.0-1) unstable; urgency=medium

  * New upstream release v2.5.1.0
  * Add an execlineb wrap script to /usr/bin (Closes: #922642)
  * Add execlineb(1) manpage
  * Bump debhelper to 12
  * Update Standards-Version to 4.4.0 (no changes)
  * Add Build-Depends-Package to symbols file

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 13 Aug 2019 22:47:35 +0800
