=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: execline
 Section: admin
 Priority: optional
-Maintainer: Shengjing Zhu <zhsj@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Shengjing Zhu <zhsj@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
 Build-Depends-Arch:
  skalibs-dev (>= 2.7.0.0),
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Homepage: https://skarnet.org/software/execline/
 Vcs-Git: https://salsa.debian.org/zhsj/execline.git
 Vcs-Browser: https://salsa.debian.org/zhsj/execline
