## execline 2.5.3.0

=== debian/changelog ===
execline (2.5.3.0-1) unstable; urgency=medium

  * New upstream release v2.5.3.0
  * Drop cross compile patch, applied by upstream

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 22 Oct 2019 23:23:08 +0800

execline (2.5.2.0-3) unstable; urgency=medium

  * Bump Standards-Version to 4.4.1 (no changes)
  * Add /usr/bin/execlineb info to README.Debian documentation
  * Modify autopkgtest to use /usr/bin/execlineb

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 13 Oct 2019 17:51:02 +0800

execline (2.5.2.0-2) unstable; urgency=medium

  * debian/control: bump skalibs requirement to 2.9.0.0 (Really)

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 24 Sep 2019 01:15:12 +0800

execline (2.5.2.0-1) unstable; urgency=medium

  * New upstream release v2.5.2.0
  * debian/control: bump skalibs requirement to 2.9.0.0

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 24 Sep 2019 00:47:51 +0800
