=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: execline
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Shengjing Zhu <zhsj@debian.org>
+Maintainer: Shengjing Zhu <zhsj@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 12),
 Build-Depends-Arch:
- skalibs-dev (>= 2.7.0.0),
-Standards-Version: 4.4.0
+ skalibs-dev (>= 2.9.0.0),
+Standards-Version: 4.4.1
 Homepage: https://skarnet.org/software/execline/
 Vcs-Git: https://salsa.debian.org/zhsj/execline.git
 Vcs-Browser: https://salsa.debian.org/zhsj/execline
