## execline 2.6.1.0

=== debian/changelog ===
execline (2.6.1.0-2) unstable; urgency=medium

  * Set shebangdir to /usr/bin which has execlineb wrapper

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 10 Jun 2020 01:08:20 +0800

execline (2.6.1.0-1) unstable; urgency=medium

  * New upstream version 2.6.1.0

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 09 Jun 2020 19:15:59 +0800

execline (2.6.0.2-1) unstable; urgency=medium

  * New upstream version 2.6.0.2
  * Bump debhelper-compat to 13

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 23 May 2020 16:28:09 +0800

execline (2.6.0.1-1) unstable; urgency=medium

  * New upstream version 2.6.0.1

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 10 Apr 2020 00:45:10 +0800

execline (2.6.0.0-2) unstable; urgency=medium

  * Rebuild for testing migration.

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 20 Mar 2020 23:54:28 +0800

execline (2.6.0.0-1) unstable; urgency=medium

  * New upstream version 2.6.0.0
  * Update Standards-Version to 4.5.0 (no changes)
  * Remove 0001-fix-library-symlink-referencing.patch
  * Bump SO version to 2.6

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 08 Mar 2020 04:45:59 +0800
