=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Shengjing Zhu <zhsj@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
 Build-Depends-Arch:
  skalibs-dev (>= 2.9.0.0),
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://skarnet.org/software/execline/
 Vcs-Git: https://salsa.debian.org/zhsj/execline.git
 Vcs-Browser: https://salsa.debian.org/zhsj/execline
@@ -55,7 +55,7 @@
 Section: libdevel
 Multi-Arch: same
 Depends:
- libexecline2.5 (= ${binary:Version}),
+ libexecline2.6 (= ${binary:Version}),
  ${misc:Depends},
 Description: small and non-interactive scripting language (development files)
  Execline is a (non-interactive) scripting language, like sh; but its
@@ -70,7 +70,7 @@
  .
  This package contains static and header files.
 
-Package: libexecline2.5
+Package: libexecline2.6
 Architecture: any
 Section: libs
 Multi-Arch: same
