## execline 2.6.1.1

=== debian/changelog ===
execline (2.6.1.1-1.0antix1) unstable; urgency=medium

  * antiX buster build 

 -- anticapitalista <antix@operamail.com>  Thu, 05 Nov 2020 01:31:31 +0200

execline (2.6.1.1-1) unstable; urgency=medium

  * New upstream version 2.6.1.1

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 05 Oct 2020 14:02:29 +0800
