=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Shengjing Zhu <zhsj@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper-compat (= 12),
 Build-Depends-Arch:
  skalibs-dev (>= 2.9.0.0),
 Standards-Version: 4.5.0
