=== debian/changelog ===
execline (2.7.0.1-2.0antix1) unstable; urgency=medium

  * antiX build to work with 66 

 -- anticapitalista <antix@operamail.com>  Fri, 26 Feb 2021 14:58:45 +0200

execline (2.7.0.1-2) unstable; urgency=medium

  * Suggest execline-doc in execline package
  * Mention execline-doc in execline package description

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 30 Jan 2021 00:39:44 +0800

execline (2.7.0.1-1) unstable; urgency=medium

  * New upstream version 2.7.0.1

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 26 Jan 2021 01:39:40 +0800

execline (2.7.0.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 21 Jan 2021 15:44:54 +0800

execline (2.7.0.0-1) experimental; urgency=medium

  * New upstream version 2.7.0.0
  * Bump SO version to 2.7
  * Update Standards-Version to 4.5.1 (no changes)
  * Bump skalibs-dev Build-Depends to 2.10.0.0

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 11 Jan 2021 10:40:06 +0800
