=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: execline
 Section: admin
 Priority: optional
-Maintainer: Shengjing Zhu <zhsj@debian.org>
+Maintainer: anticapitalista <anticapitalista@riseup.net>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 12),
 Build-Depends-Arch:
- skalibs-dev (>= 2.9.0.0),
-Standards-Version: 4.5.0
+ skalibs-dev (>= 2.10.0.0),
+Standards-Version: 4.5.1
 Homepage: https://skarnet.org/software/execline/
 Vcs-Git: https://salsa.debian.org/zhsj/execline.git
 Vcs-Browser: https://salsa.debian.org/zhsj/execline
@@ -17,6 +17,8 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+Suggests:
+ execline-doc,
 Description: small and non-interactive scripting language
  Execline is a (non-interactive) scripting language, like sh; but its
  syntax is quite different from a traditional shell syntax. The execlineb
@@ -28,8 +30,10 @@
  syntax is far more logic and predictable than the shell's syntax, and has
  no security issues.
  .
- Execline binaries are installed in /usr/lib/execline/bin, please add it to
- PATH before using them.
+ Documentation is provided in execline-doc package.
+ .
+ Binaries are installed in /usr/lib/execline/bin. Use the /usr/bin/execlineb
+ wrapper or add /usr/lib/execline/bin to PATH.
 
 Package: execline-doc
 Architecture: all
@@ -55,7 +59,7 @@
 Section: libdevel
 Multi-Arch: same
 Depends:
- libexecline2.6 (= ${binary:Version}),
+ libexecline2.7 (= ${binary:Version}),
  ${misc:Depends},
 Description: small and non-interactive scripting language (development files)
  Execline is a (non-interactive) scripting language, like sh; but its
@@ -70,7 +74,7 @@
  .
  This package contains static and header files.
 
-Package: libexecline2.6
+Package: libexecline2.7
 Architecture: any
 Section: libs
 Multi-Arch: same
