=== debian/changelog ===
execline (2.8.2.0-1) unstable; urgency=medium

  * New upstream version 2.8.2.0

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 21 Dec 2021 23:12:22 +0800

execline (2.8.1.0-1) unstable; urgency=medium

  * New upstream version 2.8.1.0
  * Bump skalibs-dev to 2.11.0.0

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 08 Oct 2021 22:51:55 +0800

execline (2.8.0.1-2) unstable; urgency=medium

  * Update Standards-Version to 4.6.0 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 23 Aug 2021 23:22:15 +0800

execline (2.8.0.1-1) unstable; urgency=medium

  * New upstream version 2.8.0.1
  * Bump SO to 2.8

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 21 Aug 2021 00:30:10 +0800
