=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: execline
 Section: admin
 Priority: optional
-Maintainer: anticapitalista <anticapitalista@riseup.net>
+Maintainer: Shengjing Zhu <zhsj@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
 Build-Depends-Arch:
- skalibs-dev (>= 2.10.0.0),
-Standards-Version: 4.5.1
+ skalibs-dev (>= 2.11.0.0),
+Standards-Version: 4.6.0
 Homepage: https://skarnet.org/software/execline/
 Vcs-Git: https://salsa.debian.org/zhsj/execline.git
 Vcs-Browser: https://salsa.debian.org/zhsj/execline
@@ -59,7 +59,7 @@
 Section: libdevel
 Multi-Arch: same
 Depends:
- libexecline2.7 (= ${binary:Version}),
+ libexecline2.8 (= ${binary:Version}),
  ${misc:Depends},
 Description: small and non-interactive scripting language (development files)
  Execline is a (non-interactive) scripting language, like sh; but its
@@ -74,7 +74,7 @@
  .
  This package contains static and header files.
 
-Package: libexecline2.7
+Package: libexecline2.8
 Architecture: any
 Section: libs
 Multi-Arch: same
