=== debian/rules ===
--- 
+++ 
@@ -4,11 +4,11 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-CONFIG_OPT += --dynlibdir=\$${prefix}/lib
-CONFIG_OPT += --libdir=\$${prefix}/lib
-CONFIG_OPT += --includedir=\$${prefix}/include
-CONFIG_OPT += --bindir=\$${prefix}/bin
-CONFIG_OPT += --with-sysdeps=/usr/lib/skalibs/sysdeps
+CONFIG_OPT += --dynlibdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
+CONFIG_OPT += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
+CONFIG_OPT += --includedir=\$${prefix}/include/$(DEB_HOST_MULTIARCH)
+CONFIG_OPT += --bindir=\$${prefix}/lib/execline/bin
+CONFIG_OPT += --with-sysdeps=/usr/lib/$(DEB_HOST_MULTIARCH)/skalibs/sysdeps
 CONFIG_OPT += --enable-absolute-paths
 CONFIG_OPT += --enable-shared
 CONFIG_OPT += --disable-allstatic
