=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
git://git.skarnet.org/execline \
refs/tags/v([\d\.]+)
