## execline 2.9.0.1

=== debian/changelog ===
execline (2.9.0.1-1) unstable; urgency=medium

  * New upstream version 2.9.0.1

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 16 Jul 2022 20:44:33 +0800

execline (2.9.0.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 15 Jun 2022 23:02:27 +0800

execline (2.9.0.0-1) experimental; urgency=medium

  * New upstream version 2.9.0.0
  * Bump SO version to 2.9
  * Update Standards-Version to 4.6.1 (no changes)
  * Bump skalibs-dev to 2.12.0.0

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 14 Jun 2022 23:23:36 +0800

execline (2.8.3.0-1) unstable; urgency=medium

  * New upstream version 2.8.3.0

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 11 Mar 2022 22:48:04 +0800
