=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Build-Depends:
  debhelper-compat (= 13),
 Build-Depends-Arch:
- skalibs-dev (>= 2.11.0.0),
-Standards-Version: 4.6.0
+ skalibs-dev (>= 2.12.0.0),
+Standards-Version: 4.6.1
 Homepage: https://skarnet.org/software/execline/
 Vcs-Git: https://salsa.debian.org/zhsj/execline.git
 Vcs-Browser: https://salsa.debian.org/zhsj/execline
@@ -59,7 +59,7 @@
 Section: libdevel
 Multi-Arch: same
 Depends:
- libexecline2.8 (= ${binary:Version}),
+ libexecline2.9 (= ${binary:Version}),
  ${misc:Depends},
 Description: small and non-interactive scripting language (development files)
  Execline is a (non-interactive) scripting language, like sh; but its
@@ -74,7 +74,7 @@
  .
  This package contains static and header files.
 
-Package: libexecline2.8
+Package: libexecline2.9
 Architecture: any
 Section: libs
 Multi-Arch: same
