## execline 2.9.2.1

=== debian/changelog ===
execline (2.9.2.1-1) unstable; urgency=medium

  * New upstream version 2.9.2.1

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 23 Feb 2023 01:22:33 +0800

execline (2.9.2.0-1) unstable; urgency=medium

  * New upstream version 2.9.2.0

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 18 Feb 2023 21:53:41 +0800

execline (2.9.1.0-1) unstable; urgency=medium

  * New upstream version 2.9.1.0
  * Update Standards-Version to 4.6.2 (no changes)
  * Bump skalibs-dev to 2.13.0.0

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 17 Jan 2023 13:58:30 +0800
