=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Build-Depends:
  debhelper-compat (= 13),
 Build-Depends-Arch:
- skalibs-dev (>= 2.12.0.0),
-Standards-Version: 4.6.1
+ skalibs-dev (>= 2.13.0.0),
+Standards-Version: 4.6.2
 Homepage: https://skarnet.org/software/execline/
 Vcs-Git: https://salsa.debian.org/zhsj/execline.git
 Vcs-Browser: https://salsa.debian.org/zhsj/execline
