=== debian/changelog ===
execline (2.9.4.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:12:49 +0000

execline (2.9.4.0-1build1) noble; urgency=high

  * No change rebuild against libskarnet2.14t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 14:09:54 +0100

execline (2.9.4.0-1) unstable; urgency=medium

  * New upstream version 2.9.4.0
  * Bump skalibs-dev to 2.14.0.0
  * Refresh symbols file

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 08 Nov 2023 05:48:35 +0800
