=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: execline
 Section: admin
 Priority: optional
-Maintainer: Shengjing Zhu <zhsj@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Shengjing Zhu <zhsj@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
 Build-Depends-Arch:
- skalibs-dev (>= 2.13.0.0),
+ skalibs-dev (>= 2.14.0.0),
 Standards-Version: 4.6.2
 Homepage: https://skarnet.org/software/execline/
 Vcs-Git: https://salsa.debian.org/zhsj/execline.git
