## execline 2.9.5.1

=== debian/changelog ===
execline (2.9.5.1-1.0antix1) unstable; urgency=medium

  * antiX build from Prowler_Gr repo
  
 -- anticapitalista <antix@operamail.com>  Fri, 10 May 2024 17:56:02 +0300

execline (2.9.4.0experimental1-1) UNRELEASED; urgency=medium

  * New upstream version 2.9.4.0
  * Bump skalibs-dev to 2.14.0.0
  * Refresh symbols file

 -- Prowler_Gr@yahoo.gr <Prowler73@gmail.com>  Fri, 26 Jan 2024 22:22:22 +1000
