## execline 2.9.6.0

=== debian/changelog ===
execline (2.9.6.0-1.0experimental1) UNRELEASED; urgency=medium

  * Backported from sid for 'init-diversity'

 -- ProwlerGr <Prowler73@gmail.com>  Sat, 05 Apr 2025 22:22:22 +1000

execline (2.9.6.0-1) unstable; urgency=medium

  * New upstream version 2.9.6.0
  * Refresh symbols file

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 15 Jun 2024 16:49:22 +0800
