=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: execline
-Section: admin
+Section: init-diversity
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Shengjing Zhu <zhsj@debian.org>
+Maintainer: Shengjing Zhu <zhsj@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
@@ -38,7 +37,7 @@
 
 Package: execline-doc
 Architecture: all
-Section: doc
+Section: init-diversity
 Multi-Arch: foreign
 Depends:
  ${misc:Depends},
@@ -57,7 +56,7 @@
 
 Package: libexecline-dev
 Architecture: any
-Section: libdevel
+Section: init-diversity
 Multi-Arch: same
 Depends:
  libexecline2.9 (= ${binary:Version}),
@@ -77,7 +76,7 @@
 
 Package: libexecline2.9
 Architecture: any
-Section: libs
+Section: init-diversity
 Multi-Arch: same
 Depends:
  ${misc:Depends},
