## execline 2.9.6.1

=== debian/changelog ===
execline (2.9.6.1-1) unstable; urgency=medium

  * New upstream version 2.9.6.1
  * Bump Standards-Version to 4.7.0 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 10 Oct 2024 03:30:17 +0800
