=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: execline
-Section: init-diversity
+Section: admin
 Priority: optional
 Maintainer: Shengjing Zhu <zhsj@debian.org>
 Rules-Requires-Root: no
@@ -7,7 +7,7 @@
  debhelper-compat (= 13),
 Build-Depends-Arch:
  skalibs-dev (>= 2.14.0.0),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://skarnet.org/software/execline/
 Vcs-Git: https://salsa.debian.org/zhsj/execline.git
 Vcs-Browser: https://salsa.debian.org/zhsj/execline
@@ -37,7 +37,7 @@
 
 Package: execline-doc
 Architecture: all
-Section: init-diversity
+Section: doc
 Multi-Arch: foreign
 Depends:
  ${misc:Depends},
@@ -56,7 +56,7 @@
 
 Package: libexecline-dev
 Architecture: any
-Section: init-diversity
+Section: libdevel
 Multi-Arch: same
 Depends:
  libexecline2.9 (= ${binary:Version}),
@@ -76,7 +76,7 @@
 
 Package: libexecline2.9
 Architecture: any
-Section: init-diversity
+Section: libs
 Multi-Arch: same
 Depends:
  ${misc:Depends},
