=== debian/tests/control ===
Tests: quine
