## execline 2.9.7.0

=== debian/changelog ===
execline (2.9.7.0-1.0antix1) unstable; urgency=medium

  * latest from skanet

 -- anticapitalista <antix@operamail.com>  Sat, 17 May 2025 15:58:44 +0300

execline (2.9.6.0-1.0antix1) unstable; urgency=medium

  * antiX build from Debian sid repo

 -- anticapitalista <antix@operamail.com>  Sat, 14 Sep 2024 16:06:50 +0300
