=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  debhelper-compat (= 13),
 Build-Depends-Arch:
  skalibs-dev (>= 2.14.0.0),
-Standards-Version: 4.7.0
+Standards-Version: 4.6.2
 Homepage: https://skarnet.org/software/execline/
 Vcs-Git: https://salsa.debian.org/zhsj/execline.git
 Vcs-Browser: https://salsa.debian.org/zhsj/execline
